{ stdenv, hugo, fetchgit, pkgs, nodejs, ruby }:

let
    url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
    rev = "fd77fe078aff4d3d526fd62e176d4422307aca5b";
    sha256 = "1r0qdvd9vmp7fpcbv23k54d6v1aan3k33hkh6vp44fpqb9ssmlbi";
    requiredPackages = import ./required-packages.nix { inherit pkgs nodejs; };
in
    stdenv.mkDerivation {
        name = "blog-static";
        version = rev;
        src = fetchgit {
            inherit url rev sha256;
        };
        builder = ./builder.sh;
        converter = ./convert.rb;
        buildInputs = [ hugo requiredPackages.katex (ruby.withPackages (ps: [ ps.nokogiri ])) ];
    }
